自定义域名
GET https://www.pmq.net/api/domains/
curl --request GET \
--url 'https://www.pmq.net/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.pmq.net/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您要按哪个字段进行搜索?允许的值包括: host. |
| is_enabled | 可选 布尔值 | |
| datetime_field | 可选 字符串 | 允许的值: datetime, last_datetime |
| datetime_start | 可选 字符串 | 筛选从此日期时间开始的结果。请使用Y-m-d H:i:s格式。 |
| datetime_end | 可选 字符串 | 筛选截至此日期时间的结果。请使用Y-m-d H:i:s格式。 |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值包括: domain_id, datetime, last_datetime, host. |
| order_type | 可选 字符串 | 结果的排序方式。允许的值为: ASC(升序)DESC(降序). |
| page | 可选 整数 | 您想要获取结果的页码。默认值为1. |
| results_per_page | 可选 整数 | 每页显示多少条结果。允许的值包括: 10, 25, 50, 100, 250, 500, 1000. 默认值为25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-12 13:28:04",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://www.pmq.net/api/domains?page=1",
"last": "https://www.pmq.net/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://www.pmq.net/api/domains?page=1"
}
}
GET https://www.pmq.net/api/domains/{domain_id}
curl --request GET \
--url 'https://www.pmq.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.pmq.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-12 13:28:04",
}
}
POST https://www.pmq.net/api/domains
| 参数 | 详情 | 描述 |
|---|---|---|
| host | 必填 字符串 | - |
| custom_index_url | 可选 字符串 | - |
| custom_not_found_url | 可选 字符串 | - |
curl --request POST \
--url 'https://www.pmq.net/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://www.pmq.net/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://www.pmq.net/api/domains/{domain_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| host | 可选 字符串 | - |
| custom_index_url | 可选 字符串 | - |
| custom_not_found_url | 可选 字符串 | - |
curl --request POST \
--url 'https://www.pmq.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://www.pmq.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://www.pmq.net/api/domains/{domain_id}
curl --request DELETE \
--url 'https://www.pmq.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.pmq.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \